Subject: Re: bug#20237: Emacs built on Windows cannot figure out path correctly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Apr 2015 00:12:21 +0300

> Date: Sat, 04 Apr 2015 16:15:46 -0400
> From: Da Zhang <[email-masked]>
> CC: [email-masked]
> 
> I set debug tag using C-u C-M-x on the definition of 
> python-shell-make-comint
> 
> but when I bring up the python shell using 
> elpy-shell-send-region-or-buffer
> or 
> elpy-shell-switch-to-shell
> 
> the python-shell-make-comint was not invoked. 
> Any thoughts?

It should be called by run-python, see your backtrace you posted
earlier.

> BTW, for using cygwin's environment under Windows Emacs, is cygwin-mount the only solution?

I'm not aware of any other.